---

image_name: debian10_kali_lxde

image_url: https://cloud.debian.org/images/cloud/OpenStack/current-10/debian-10-openstack-amd64.qcow2

compressed: false

image_size: 15G

conversion: true

input_format: qcow2

output_format: raw

method: virt-customize

compression:

packages:
    - wget
    - gnupg
    - dirmngr

customization: |
    #!/bin/bash
    export UCF_FORCE_CONFOLD=1
    export DEBIAN_FRONTEND=noninteractive
    echo 'en_US.UTF-8 UTF-8' >> /etc/locale.gen
    locale-gen
    apt update -y
    echo 'deb http://http.kali.org/kali kali-rolling main non-free contrib' >> /etc/apt/sources.list
    wget 'https://archive.kali.org/archive-key.asc'
    apt-key add archive-key.asc && rm -f archive-key.asc
    apt update -y
    apt update -y --fix-missing
    apt install -y kali-linux-default kali-desktop-lxde cloud-utils spice-vdagent
    echo "customization completed via virt-customize" > ./custom.txt
